Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::PropertyNameValidator Class Reference

Check if the property name already exist in the property list. More...

`#include <CSVImportConfigurationWidget.h>`

List of all members.

## Public Member Functions

- PropertyNameValidator (const std::vector< PropertyConfigurationWidget * > &widgets, QObject *parent=NULL)
- virtual ~PropertyNameValidator ()
- QValidator::State validate (QString &input, int &pos) const

## Detailed Description

Check if the property name already exist in the property list.

## Constructor & Destructor Documentation

tlp::PropertyNameValidator::PropertyNameValidator | ( | const std::vector< PropertyConfigurationWidget * > & | widgets,
|  | QObject * | parent = `NULL`
| ) |  | `[inline]`

virtual tlp::PropertyNameValidator::~PropertyNameValidator | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

QValidator::State tlp::PropertyNameValidator::validate | ( | QString & | input,
|  | int & | pos
| ) |  | const

Validate the new property name. Check if any property does not have the same name

Tulip Software by LaBRI Visualization Team 2001 - 2012